#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_GL3(void)
{
#if (PRO_GL3)
   if(g_VehicleType == CAR_TYPE_ICV){
       SetTelltalePos("HBAGreen",              HBAGreen);
       SetTelltalePos("HighBeam",              HighBeam);
       SetTelltalePos("LowBeam",                LowBeam);
       SetTelltalePos("LeftTurn",              LeftTurn);
       SetTelltalePos("RightTurn",            RightTurn);
       SetTelltalePos("TailLamp",              TailLamp);
       SetTelltalePos("RearFog",                RearFog);
       SetTelltalePos("ParkingBreak",      ParkingBreak);
       SetTelltalePos("OverSpeed",            OverSpeed);
       SetTelltalePos("EPB",                        EPB); 
       SetTelltalePos("ABS",                        ABS);
       SetTelltalePos("LedLampFail",        LedLampFail);
       SetTelltalePos("SeatBelt",              SeatBelt);
       SetTelltalePos("FcaYellow",            FcaYellow);
       SetTelltalePos("ECALL",                    Ecall);
       SetTelltalePos("InteriorLamp",      InteriorLamp);
       SetTelltalePos("LPI Only",              LPI_Only);
       SetTelltalePos("Mdps",                      Mdps);
       SetTelltalePos("4WD Lock",          Four_WD_Lock);
       SetTelltalePos("Tpms",                      Tpms);
       SetTelltalePos("Immobilizer",        Immobilizer);
       SetTelltalePos("MasterSymbol",      MasterSymbol);
       SetTelltalePos("CheckEngine",        CheckEngine);
       SetTelltalePos("BatteryCharge",    BatteryCharge);
       SetTelltalePos("AirBag",                  AirBag);
       SetTelltalePos("OilPressure",        OilPressure);
       SetTelltalePos("DpfGpf",                  DpfGpf); 
       SetTelltalePos("ESC",                        ESC);
       SetTelltalePos("EscOff",                  EscOff);
       SetTelltalePos("AllLedOpen",          AllLedOpen);
       SetTelltalePos("LowFuel",     DMS_RestoreDefault);
   }
   else{
       SetTelltalePos("HBAGreen",              HBAGreen);
       SetTelltalePos("HighBeam",              HighBeam);
       SetTelltalePos("LowBeam",                LowBeam);
       SetTelltalePos("LeftTurn",              LeftTurn);
       SetTelltalePos("RightTurn",            RightTurn);
       SetTelltalePos("TailLamp",              TailLamp);
       SetTelltalePos("RearFog",                RearFog);
       SetTelltalePos("ParkingBreak",      ParkingBreak);
       SetTelltalePos("OverSpeed",            OverSpeed);
       SetTelltalePos("EPB",                        EPB); 
       SetTelltalePos("ABS",                        ABS);
       SetTelltalePos("LedLampFail",        LedLampFail);
       SetTelltalePos("SeatBelt",              SeatBelt);
       SetTelltalePos("FcaYellow",            FcaYellow);
       SetTelltalePos("ECALL",                    Ecall);
       SetTelltalePos("InteriorLamp",      InteriorLamp);
       SetTelltalePos("EV_MODE",                EV_MODE);
       SetTelltalePos("READY",                    READY);
       SetTelltalePos("Mdps",                      Mdps);
       SetTelltalePos("Tpms",                      Tpms);
       SetTelltalePos("Immobilizer",        Immobilizer);
       SetTelltalePos("MasterSymbol",      MasterSymbol);
       SetTelltalePos("ServiceLamp",        ServiceLamp);
       SetTelltalePos("CheckEngine",        CheckEngine);
       SetTelltalePos("BatteryCharge",    BatteryCharge);
       SetTelltalePos("AirBag",                  AirBag);
       SetTelltalePos("OilPressure",        OilPressure);
       SetTelltalePos("DpfGpf",                  DpfGpf); 
       SetTelltalePos("ESC",                        ESC);
       SetTelltalePos("EscOff",                  EscOff);
       SetTelltalePos("RBS",                        RBS);
       SetTelltalePos("HIGH_TEMP",            HIGH_TEMP);
       SetTelltalePos("AllLedOpen",          AllLedOpen);
       SetTelltalePos("LowFuel",     DMS_RestoreDefault);
   }  
#endif   

}


